com.sun.grid.jgdi.configuration.reflect

## Class SimplePropertyDescriptor

- java.lang.Object
- - com.sun.grid.jgdi.configuration.reflect.PropertyDescriptor
  - - com.sun.grid.jgdi.configuration.reflect.SimplePropertyDescriptor

-     public class SimplePropertyDescriptor
      extends PropertyDescriptor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimplePropertyDescriptor(java.lang.Class beanClass, java.lang.String propertyName, java.lang.Class propertyType, java.lang.String cullType, int cullFieldName, boolean required, boolean readOnly, boolean configurable)` Creates a new instance of SimplePropertyDescriptor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clone(java.lang.Object srcBean, java.lang.Object targetBean)` clone this property of `srcBean` into `targetBean`.
    `java.lang.Object` | `getValue(java.lang.Object bean)` get the value of this property from a bean
    `boolean` | `isBrowsable()` A simple property is never browsable
    `boolean` | `isRequired()` Getter for property required.
    `void` | `setValue(java.lang.Object bean, java.lang.Object value)` set the value of this property in a bean
    `java.lang.String` | `toString(java.lang.Object bean)`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.reflect.PropertyDescriptor

      `equals, findMethod, findMethod, getBeanClass, getCullContentField, getCullFieldName, getCullType, getJNIPropertyType, getPropertyName, getPropertyType, hasCullWrapper, hashCode, invoke, isConfigurable, isReadOnly, isSet, setBrowsable, setConfigurable, setCullContentField, setHasCullWrapper, setReadOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimplePropertyDescriptor

          public SimplePropertyDescriptor(java.lang.Class beanClass,
                                          java.lang.String propertyName,
                                          java.lang.Class propertyType,
                                          java.lang.String cullType,
                                          int cullFieldName,
                                          boolean required,
                                          boolean readOnly,
                                          boolean configurable)

      Creates a new instance of SimplePropertyDescriptor
      Parameters:
        `beanClass` - the bean class
        `propertyName` - name of the property
        `propertyType` - class of the property
        `cullType` - cull type of the property
        `required` - is this property required
        `readOnly` - is this property readonly
        `configurable` - is this property configurable

  - ### Method Detail

    - #### isRequired

          public boolean isRequired()

      Getter for property required.
      Returns:
        Value of property required.

    - #### setValue

          public void setValue(java.lang.Object bean,
                               java.lang.Object value)

      set the value of this property in a bean
      Parameters:
        `bean` - the bean
        `value` - the value

    - #### getValue

          public java.lang.Object getValue(java.lang.Object bean)

      get the value of this property from a bean
      Parameters:
        `bean` - the bean
      Returns:
        the value

    - #### isBrowsable

          public boolean isBrowsable()

      A simple property is never browsable
      Overrides:
        `isBrowsable` in class `PropertyDescriptor`
      Returns:
        false

    - #### clone

          public void clone(java.lang.Object srcBean,
                            java.lang.Object targetBean)

      clone this property of `srcBean` into `targetBean`.
      Specified by:
        `clone` in class `PropertyDescriptor`
      Parameters:
        `srcBean` - the src bean
        `targetBean` - the target bean

    - #### toString

          public java.lang.String toString(java.lang.Object bean)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.